classification
Title: _multiprocessing doesn't build on macosx 10.3
Type: compile error Stage:
Components: Extension Modules Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: jnoller Nosy List: jnoller, loewis, ronaldoussoren
Priority: low Keywords:

Created on 2008-10-07 10:52 by ronaldoussoren, last changed 2009-01-19 15:41 by jnoller. This issue is now closed.

Messages (4)
msg74436 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2008-10-07 10:52
I'm trying to build python 2.6 on a Mac OS X 10.3 system. This fails to 
build the multiprocessing extension due to a missing definition of "struct 
iovec".

It turns out that you have to include <sys/uio.h> to get that definition 
on OSX 10.3.

Adding '#include <sys/uio.h>' to multiprocessing.h enables building the 
extension on OSX 10.3, but is probably not the right solution.
msg74469 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-10-07 19:32
What does sendmsg(2) say what to include? What about writev(2)? (the
latter, on Linux, says that sys/uio.h is indeed the correct header)
msg78830 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2009-01-02 16:16
The manpage for writev(2) mentions #include <sys/uio.h>. Adding a #include 
for <sys/uio.h> is the right fix after all...
msg80142 - (view) Author: Jesse Noller (jnoller) * (Python committer) Date: 2009-01-19 02:00
This issues was fixed on 2008-11-04 by Martin Loewis in r67098

Index: multiprocessing.h
===================================================================
--- multiprocessing.h	(revision 67097)
+++ multiprocessing.h	(revision 67098)
@@ -20,7 +20,9 @@
 #  define SEM_VALUE_MAX LONG_MAX
 #else
 #  include <fcntl.h>                 /* O_CREAT and O_EXCL */
+#  include <netinet/in.h>
 #  include <sys/socket.h>
+#  include <sys/uio.h>
 #  include <arpa/inet.h>             /* htonl() and ntohl() */
 #  if HAVE_SEM_OPEN
 #    include <semaphore.h>

Closing
History
Date User Action Args
2009-01-19 15:41:52jnollersetstatus: open -> closed
2009-01-19 02:00:04jnollersetresolution: fixed
messages: + msg80142
2009-01-08 21:26:17jnollersetassignee: jnoller
nosy: + jnoller
2009-01-02 16:16:09ronaldoussorensetmessages: + msg78830
2008-10-07 19:32:34loewissetnosy: + loewis
messages: + msg74469
2008-10-07 10:52:51ronaldoussorencreate